| FFmpegKit Linux API 6.0

Loading...
Searching...
No Matches
Data Fields
InputFile Struct Reference

`#include <fftools_ffmpeg.h>`

## Data Fields
int | index
AVFormatContext * | ctx
int | eof_reached
int | eagain
int64_t | input_ts_offset
int | input_sync_ref
int64_t | start_time_effective
int64_t | ts_offset
int64_t | ts_offset_discont
int64_t | last_ts
int64_t | start_time
int64_t | recording_time
InputStream ** | streams
int | nb_streams
int | rate_emu
float | readrate
int | accurate_seek
AVThreadMessageQueue * | audio_duration_queue
int | audio_duration_queue_size
AVFormatContext * | fmt_ctx
InputStream * | streams

## Detailed Description

Definition at line 499 of file fftools_ffmpeg.h.

## Field Documentation

## ◆ accurate_seek

int InputFile::accurate_seek

Definition at line 528 of file fftools_ffmpeg.h.

## ◆ audio_duration_queue

AVThreadMessageQueue* InputFile::audio_duration_queue

Definition at line 532 of file fftools_ffmpeg.h.

## ◆ audio_duration_queue_size

int InputFile::audio_duration_queue_size

Definition at line 533 of file fftools_ffmpeg.h.

## ◆ ctx

AVFormatContext* InputFile::ctx

Definition at line 502 of file fftools_ffmpeg.h.

## ◆ eagain

int InputFile::eagain

Definition at line 504 of file fftools_ffmpeg.h.

## ◆ eof_reached

int InputFile::eof_reached

Definition at line 503 of file fftools_ffmpeg.h.

## ◆ fmt_ctx

AVFormatContext* InputFile::fmt_ctx

Definition at line 116 of file fftools_ffprobe.c.

## ◆ index

int InputFile::index

Definition at line 500 of file fftools_ffmpeg.h.

## ◆ input_sync_ref

int InputFile::input_sync_ref

Definition at line 506 of file fftools_ffmpeg.h.

## ◆ input_ts_offset

int64_t InputFile::input_ts_offset

Definition at line 505 of file fftools_ffmpeg.h.

## ◆ last_ts

int64_t InputFile::last_ts

Definition at line 516 of file fftools_ffmpeg.h.

## ◆ nb_streams

int InputFile::nb_streams

Definition at line 524 of file fftools_ffmpeg.h.

## ◆ rate_emu

int InputFile::rate_emu

Definition at line 526 of file fftools_ffmpeg.h.

## ◆ readrate

float InputFile::readrate

Definition at line 527 of file fftools_ffmpeg.h.

## ◆ recording_time

int64_t InputFile::recording_time

Definition at line 518 of file fftools_ffmpeg.h.

## ◆ start_time

int64_t InputFile::start_time

Definition at line 517 of file fftools_ffmpeg.h.

## ◆ start_time_effective

int64_t InputFile::start_time_effective

Effective format start time based on enabled streams.

Definition at line 510 of file fftools_ffmpeg.h.

## ◆ streams [1/2]

InputStream** InputFile::streams

Definition at line 523 of file fftools_ffmpeg.h.

## ◆ streams [2/2]

InputStream* InputFile::streams

Definition at line 118 of file fftools_ffprobe.c.

## ◆ ts_offset

int64_t InputFile::ts_offset

Definition at line 511 of file fftools_ffmpeg.h.

## ◆ ts_offset_discont

int64_t InputFile::ts_offset_discont

Extra timestamp offset added by discontinuity handling.

Definition at line 515 of file fftools_ffmpeg.h.

The documentation for this struct was generated from the following files:

- fftools_ffmpeg.h
- fftools_ffprobe.c